/* SPDX-License-Identifier: GPL-2.0-only */


#ifndef _LINUX_QCOM_SPEC_SYNC_H
#define _LINUX_QCOM_SPEC_SYNC_H

#include <linux/dma-fence-array.h>

#define SPEC_FENCE_FLAG_FENCE_ARRAY	  16 
#define SPEC_FENCE_FLAG_FENCE_ARRAY_BOUND 17 

#if IS_ENABLED(CONFIG_QCOM_SPEC_SYNC)


int spec_sync_wait_bind_array(struct dma_fence_array *fence_array, u32 timeout_ms);

#else

static inline int spec_sync_wait_bind_array(struct dma_fence_array *fence_array, u32 timeout_ms)
{
	return -EINVAL;
}

#endif 

#endif 
